For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
    • Introduction
  • SAML (Enterprise SSO)
    • SAML Quickstart
    • SAML: A technical primer
    • Integrating SAML with your Login UI
    • Handling SAML Logins + JIT Provisioning
  • SCIM (Enterprise Directory Sync)
    • SCIM Quickstart
  • SDKs
    • TypeScript SDK
    • Python SDK
    • Go SDK
    • Java SDK
    • C# SDK
    • Ruby SDK
    • PHP SDK
  • SAML-over-OAuth
    • SAML over OAuth (SAML NextAuth.js integration)
    • SAML for Firebase
  • IDP configuration
    • Enabling self-service configuration for your customers
  • SSOReady concepts
    • Overview
    • Environments
    • Organizations
    • SAML Connections
    • SAML Login Flows
    • SCIM Directories
    • SCIM Users
    • SCIM Groups
    • SCIM Request Logs
  • Management API
    • Management API
  • DummyIDP
    • Testing SAML/SCIM with DummyIDP
  • Self-Hosting
    • Self-Hosting SSOReady
  • API Reference
      • GETList SCIM Users
      • GETGet SCIM User
      • GETList SCIM Groups
      • GETGet SCIM Group
Login
Logo
API ReferenceSCIM

List SCIM Users

GET
https://api.ssoready.com/v1/scim/users
GET
/v1/scim/users
$curl -G https://api.ssoready.com/v1/scim/users \
> -H "Authorization: Bearer <apiKey>" \
> -d organizationExternalId=my_custom_external_id
200List Users
1{
2 "scimUsers": [
3 {
4 "id": "scim_user_...",
5 "email": "john.doe@acme.com",
6 "deleted": false,
7 "attributes": {
8 "displayName": "John Doe",
9 "preferredLanguage": "en_US",
10 "key": "value"
11 }
12 },
13 {
14 "id": "scim_user_...",
15 "email": "jane.doe@acme.com",
16 "deleted": true,
17 "attributes": {
18 "displayName": "Jane Doe",
19 "preferredLanguage": "fr_FR",
20 "key": "value"
21 }
22 }
23 ],
24 "nextPageToken": "..."
25}
Gets a list of SCIM users in a SCIM directory.
Was this page helpful?
Previous

Get SCIM User

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

scimDirectoryIdstringOptional

The SCIM directory to list from.

One of scimDirectoryId, organizationId, or organizationExternalId must be specified.

organizationIdstringOptional

The ID of the organization to list from. The primary SCIM directory of this organization is used.

One of scimDirectoryId, organizationId, or organizationExternalId must be specified.

organizationExternalIdstringOptional

The externalId of the organization to list from. The primary SCIM directory of this organization is used.

One of scimDirectoryId, organizationId, or organizationExternalId must be specified.

scimGroupIdstringOptional
If specified, only users that are members of this SCIM group are returned.
pageTokenstringOptional
Pagination token. Leave empty to get the first page of results.

Response

OK
scimUserslist of objects
List of SCIM users.
nextPageTokenstring

Value to use as pageToken for the next page of data. Empty if there is no more data.